Package net.shibboleth.idp.attribute.filter.spring.impl

# Class AttributeFilterServiceStrategy

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.spring.impl.AttributeFilterServiceStrategy

All Implemented Interfaces:
  `Function<ApplicationContext,ServiceableComponent<AttributeFilter>>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `NonnullFunction<ApplicationContext,ServiceableComponent<AttributeFilter>>`

public class AttributeFilterServiceStrategy extends AbstractIdentifiableInitializableComponent implements NonnullFunction<ApplicationContext,ServiceableComponent<AttributeFilter>>
Strategy for summoning up an `AttributeFilterImpl` from a populated `ApplicationContext`. We do this by finding all the configured `AttributeFilterPolicy` beans and bunging them into the Attribute Filter which we then initialize.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
log.

## Constructor Summary

Constructors
Constructor
Description
`AttributeFilterServiceStrategy()`

## Method Summary

Modifier and Type
Method
Description
`ServiceableComponent<AttributeFilter>`
`apply(ApplicationContext appContext)`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
log.

## Constructor Details

### AttributeFilterServiceStrategy

public AttributeFilterServiceStrategy()

## Method Details

### apply

@Nonnull public ServiceableComponent<AttributeFilter> apply(@Nullable ApplicationContext appContext)

Specified by:
  `apply` in interface `Function<ApplicationContext,ServiceableComponent<AttributeFilter>>`
Specified by:
  `apply` in interface `NonnullFunction<ApplicationContext,ServiceableComponent<AttributeFilter>>`